server {
        listen 8000;
 
        location /favicon.ico {
                 root ../../markingcloud/web/;
                 try_files $uri /;
                 expires 10d;
        }
 
        location = /web/mark {
                rewrite /web/mark /web/mark/ last;
        }
 
        location ^~ /web/mark/ {
                alias ../../markingcloud/web/;
                try_files $uri $uri/ /web/mark/index.html;
        }
 
        location ^~ /web/admin/ {
                alias ../../markingcloud/web/;
                try_files $uri $uri/ /web/mark/index.html;
        }
 
        location ^~ /assets/ {
                alias ../../markingcloud/web/assets/;
                try_files $uri $uri/ =404;
        }
  
        location ^~ / {
                proxy_pass http://127.0.0.1:8080;
                proxy_set_header Host   $http_host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
 
 
server {
        listen 9000;
  
        location / {
                root ../../markingcloud/static/;
                add_header Access-Control-Allow-Origin *;
        }
}